Bug 1731969 - Unable to create a bridged VLAN interface with the kickstart network command
Summary: Unable to create a bridged VLAN interface with the kickstart network command
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda
Version: 7.6
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Anaconda Maintenance Team
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-22 12:58 UTC by Christophe Besson
Modified: 2020-02-12 20:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-12 20:04:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1731190 None NEW [RFE] Unable to create a bridged VLAN interface with the kickstart network command 2019-11-07 16:24:54 UTC

Description Christophe Besson 2019-07-22 12:58:08 UTC
Description of problem:
The network panel of the Anaconda GUI allows to create a bridged VLAN interface. The resulting ifcfg files looks good, but the resulting anaconda-ks.cfg doesn't allow to reproduce the network configuration.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Use the following kickstart directive (supposing ens3 is your parent device)
network  --bootproto=dhcp --device=bridge0 --ipv6=auto --bridgeslaves=ens3.100 --bridgeopts=priority=32768,stp=yes --no-activate
network  --bootproto=dhcp --device=ens3 --onboot=off --ipv6=auto --activate
network  --hostname=localhost.localdomain

2. Install a minimal server with this kickstart.

3. Observe the garbage connection which is created (not a VLAN and not enslaved)


Actual results:
# cat ifcfg-bridge0_slave_1
# Generated by parse-kickstart
TYPE="Ethernet"
NAME="bridge0 slave 1"
UUID="db232faa-7741-42af-a047-2b16fd91a44e"
ONBOOT="yes"
BRIDGE="bridge0"
DEVICE="eth0.100"

# ls /sys/class/net/bridge0/brif
==> nothing enslaved

Expected results:
# nmcli con show
NAME                 UUID                                  TYPE      DEVICE   
bridge0 slave 1      a98a9142-cffe-4100-81d2-c5bc4a7e18e0  vlan      eth0.100 
eth0                 d281553e-a52b-4254-9adc-f0390eea1098  ethernet  eth0     
Bridge connection 1  2c0aaf4c-a77f-4fce-a1e6-73ada5e53153  bridge    bridge0  

# ls /sys/class/net/bridge0/brif
eth0.100


Additional info:
This bug is a clone for https://bugzilla.redhat.com/show_bug.cgi?id=1731190
The same issue occurs on RHEL 8. More information like the anaconda logs are attached to this one.


Note You need to log in before you can comment on or make changes to this bug.